#include <string>
#include <fstream>
#include <iostream>

using namespace std;

// counts lines and columns in 1st line of file `name'
int numlines(const char *filename, int &col){
  ifstream fp;
  char buff[1025];
  fp.open(filename);
  fp.getline(buff,1024);
  col = 0;
  int n= 0;
  if(buff[0] != 0){
      col = 1;
      for(char *c=buff; *c != 0; c++)
	if(*c == ' ' || *c == '\t'){
	  col += 1;
	  c++;
	  while(*c == ' ' || *c == '\t') c++;
	  c--;
	}
  }
  while(!fp.eof()){
    fp.getline(buff,1024);
    n++;
  }
  fp.close();
  return n;
}

// counts lines and columns in 1st line of `cin' and stores data in `outfile'
int numlines(int &col, const char *outfile){
  char buff[1025];
  int n=1;
  ofstream fp;
  fp.open(outfile);
  col = 0;
  cin.getline(buff,1024);
  fp << buff << endl;
  if(buff[0] != 0){
    col += 1;
    for(char *c=buff; *c != 0; c++)
      if(*c == ' ' || *c == '\t'){
	col += 1;
	c++;
	while(*c == ' ' || *c == '\t') c++;
	c--;
      }
  }
  while(cin.peek() != -1) {
    cin.getline(buff,1024);
    fp << buff << endl;
    n++;
  }
  fp.close();
  return n;
}


int numlines(const char *outfile){
  char buff[1025];
  int n=0;
  ofstream fp;
  char *c;
  int col;

  fp.open(outfile);
  while(cin.peek() != -1) {
    col =0;
    cin.getline(buff,1024);
    if(buff[0] != 0){
      col += 1;
      for(c=buff; *c != 0; c++)
	if(*c == ' ' || *c == '\t'){
	  col += 1;
	  c++;
	  while(*c == ' ' || *c == '\t') c++;
	  c--;
	}
    }
    fp << col << ' ' << buff << endl;
    n++;
  }
  fp.close();
  return n;
}


int numlines(const char *infile, const char *outfile){
  char buff[1025];
  int n=0;
  ofstream fp;
  char *c;
  int col;
  ifstream in;
  in.open(infile);
  fp.open(outfile);
  while(1) {
    col =0;
    in.getline(buff,1024);
    if(in.eof()) break;
    if(buff[0] != 0){
      col += 1;
      for(c=buff; *c != 0; c++)
	if(*c == ' ' || *c == '\t'){
	  col += 1;
	  c++;
	  while(*c == ' ' || *c == '\t') c++;
	  c--;
	}
    }
    fp << col << ' ' << buff << endl;
    n++;
  }
  fp.close();
  in.close();
  return n;
}












