#ifndef __flgrpahbasics_h___
#define __flgrpahbasics_h___

#include <FL/Fl.H>
#include <FL/Fl_Widget.H>
#include <FL/fl_draw.H>
#include "headio.h"
#include "Headped.H"

extern bool pedcopen;
extern int flag_cb;
extern float xmax;
extern float xmin;
extern float ymax;
extern float ymin;

int _x(float x);
int _x(float y);

void drawline(float x0, float y0, float x1, float y1, Fl_Color l = FL_BLACK);
void drawsquare(float x,float y, Fl_Color c = FL_WHITE, Fl_Color l = FL_BLACK);
void drawcircle(float x,float y, Fl_Color c = FL_WHITE, Fl_Color l = FL_BLACK);
void drawdiamon(float x,float y, Fl_Color c = FL_WHITE, Fl_Color l = FL_BLACK);
void drawsquare(float x,float y, uchar r, uchar g, uchar b, Fl_Color l = FL_BLACK);
void drawcircle(float x,float y, uchar r, uchar g, uchar b, Fl_Color l = FL_BLACK);
void drawdiamon(float x,float y, uchar r, uchar g, uchar b, Fl_Color l = FL_BLACK);
void erasesquare(float x,float y, Fl_Color c = FL_GRAY);
void erasecircle(float x,float y, Fl_Color c = FL_GRAY);
void erasediamon(float x,float y, Fl_Color c = FL_GRAY);

#endif








