#include "headio.h"
#include "Headped.H"
#include <stdlib.h>

extern struct indlist *indliststack;
extern struct marlist *marliststack;
extern void initinddatc(struct inddat *);

void initpedc(int mxind,int mxmar,int mxindlist,int mxmarlist, int mxlabel)
/*
   Allocated the space for the stacks used to store the pedigree.
   
   mxind     = length of the array of individuals
   mxmar     = length of the array of marriages
   mxindlist = length of the array of indlists
   mxmarlist = length of the array of marlists
   mxlabel   = length of the ped array = largest number used as an identifier
*/

{
int i;

maxind = mxind;
maxmar = mxmar;
maxindlist = mxindlist;
maxmarlist = mxmarlist;
maxlabel = mxlabel;

indstack = (struct ind *)calloc((unsigned)maxind+1,sizeof(*indstack));

indliststack = (struct indlist *)calloc((unsigned)maxindlist+1,sizeof(*indliststack));
marstack = (struct mar *)calloc((unsigned)maxmar+1,sizeof(*marstack));
marliststack = (struct marlist *)calloc((unsigned)maxmarlist+1,sizeof(*marliststack));

ped = (struct ind **)calloc((unsigned)maxlabel+1,sizeof(*ped));
ped[0] = indstack;
for(i=1; i < maxlabel; i++) ped[i]=NULL;

nomar = marstack;
marstack[0].pa = indstack;
marstack[0].ma = indstack;
initinddatc(&(indstack[0].info));
}

