#include "headio.h"
#include "Headped.H"

extern void initinddatc(struct inddat *);

struct ind *nextind (void)

/*
   Returns the address of the next available storage space on the stack of 
   individuals after initialising it.
*/

{
if (indpt >= maxind)
  {
  fprintf(stderr,"\nERROR: no ind stack left\n" );
  fflush(stderr);
  return(noind);
  }
else
  {
  indpt++;
  indstack[indpt].pa = noind;
  indstack[indpt].ma = noind;
  indstack[indpt].par = nomar;
  indstack[indpt].own = nomarlist;
  initinddatc(&(indstack[indpt].info));
  return(&indstack[indpt]);
  }
}

