#include "headio.h"
#include "Headped.H"

void resetgens(void)
/*
   Resets generation numbers so that later founders do not have generation 
   number 1, but one less than their offspring.
*/

{
int i;
for ( i=indpt; i>0; i--)
  {
  if (indstack[i].own != nomarlist)
    {
    int min = 100;
    struct indlist *il;
    struct marlist *ml;
    for ( ml = indstack[i].own; ml != nomarlist; ml = ml->next )
      for ( il = ml->cur->kids; il != noindlist; il = il->next )
        if ( min > il->cur->info.gen ) min = il->cur->info.gen;
    indstack[i].info.gen = min -1;
    }
  }
genreset = TRUE;
}
